[![Gem Version](https://badge.fury.io/rb/namna.svg)](http://badge.fury.io/rb/namna)
[![Build Status](https://travis-ci.org/kodnin/namna.svg?branch=master)](https://travis-ci.org/kodnin/namna)

# Namna

A name generator written in Ruby.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'namna'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install namna

## Usage

Require the gem in your project or ```irb``` and generate a name:

```ruby
require 'namna'
# => true
Generator.random
# => 'nuceop'
Generator.random(5)
# => 'xtkna'
Generator.human
# => 'fizaze'
Generator.human(5)
# => 'oxemo'
Generator.format('a?*#z')
# => 'adebz'
```

Use the ```random``` method to generate a random name. Specify its length with an optional argument. Use the ```human``` method to generate a humanized random name. Again it is optional to specify a length. Use the ```format``` method to generate a formatted name. A ```?``` is substituted for a random character, a ```*``` is substituted for a vowel and a ```#``` is substituted for a consonant. Non-special characters remain unchanged.

## Contributing

1. Fork it ( https://github.com/kodnin/namna/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
